using System;
using System.Collections.Generic;
using System.Text;

namespace GuidanceExplorer.Model
{
    /// <summary>
    /// How the search should be resolved
    /// </summary>
    public enum SearchTerms
    {
        /// <summary>
        /// The field is equal
        /// </summary>
        Equals,
        /// <summary>
        /// The field doesn't contain
        /// </summary>
        Not_Equals,
        /// <summary>
        /// The field starts with
        /// </summary>
        Starts_With,
        /// <summary>
        /// The field ends with
        /// </summary>
        Ends_With,
        /// <summary>
        /// The field contains
        /// </summary>
        Contains,
        /// <summary>
        /// The field doesn't contain
        /// </summary>
        Not_Contains
    }
}
