using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Specialized;

public class Utilities
{
	public static string Capitalize(string text)
    {
        if (text == null || text.Length == 0)
            return text;

        text = char.ToUpper(text[0]) + text.Substring(1, text.Length - 1).ToLower();
        return text;
    }

    public static bool IsFilterSelected(string filterQuery, string name)
    {
        if (string.IsNullOrEmpty(filterQuery))
            return false;

        string[] filters = filterQuery.Split(Constants.FiltersSeparator);
        foreach (string filter in filters)
            if (filter.Split(Constants.FilterValueSeparator)[0] == name)
                return true;
        return false;
    }

    public static void BuildClientQueryScript(NameValueCollection nameValueCollection)
    {
        foreach (string key in nameValueCollection.AllKeys)
        {
            
            
        }
        
    }
}
