//===============================================================================
// Microsoft patterns & practices
// Guidance Explorer Offline Client
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace GuidanceExplorer
{
    static class Commands
    {
        public const string RemoveGuidanceItem = "RemoveGuidanceItem";
        public const string PublishGuidanceItem = "PublishGuidanceItem";
        public const string Synchronize = "Synchronize";
        public const string RefreshFileSuscribedLibrary = "RefreshFileSuscribedLibrary";
        public const string ColumnChooser = "ColumnChooser";
        public const string ResetSortOrder = "ResetSortOrder";
        public const string ResetColumns = "ResetColumns";
        public const string ResetFilters = "ResetFilters";
        public const string NewGuidanceItem = "NewGuidanceItem";
        public const string NewFolder = "NewFolder";
        public const string HelpAbout = "HelpAbout";
        public const string SubmitFeedback = "SubmitFeedback";
        public const string SelectAll = "SelectAll";
        public const string NewView = "NewView";
        public const string NewSearchView = "NewSearchView";
        public const string SaveItemAs = "SaveItemAs";
        public const string ImportGuidanceItemToLibrary = "ImportGuidanceItemToLibrary";
        public const string ExportMyViewsAsLibrary = "ExportMyViewsAsLibrary";
        public const string SaveMyViewsAs = "SaveMyViewsAs";
        public const string MoveGuidanceItemToView = "MoveGuidanceItemToView";
        public const string UndoDragAndDrop = "UndoDragAndDrop";
        public const string AddRemoveGuidanceType = "AddRemoveGuidanceType";
        public const string NewGuidanceType = "NewGuidanceType";
        public const string FileExit = "FileExit";
        public const string CutGuidanceItem = "CutGuidanceItem";
        public const string CopyGuidanceItem = "CopyGuidanceItem";
        public const string PasteGuidanceItem = "PasteGuidanceItem";
        public const string DeleteGuidanceItem = "DeleteGuidanceItem";
        public const string ViewGuidanceItem = "ViewGuidanceItem";
        public const string EditGuidanceItem = "EditGuidanceItem";
        public const string RenameView = "RenameView";
        public const string DeleteView = "DeleteView";
        public const string SuscribeLibraryFromFile = "SuscribeLibraryFromFile";
        public const string SuscribeLibraryFromWeb = "SuscribeLibraryFromWeb";
        public const string SuscribeLibraryFromRss = "SuscribeLibraryFromRss";
        public const string SaveViewAs = "SaveViewAs";
        public const string PublishGuidanceType = "PublishGuidanceType";
        public const string SaveLibraryAs = "SaveLibraryAs";
        public const string SaveItemAsXml = "SaveItemAsXml";
        public const string DeleteFolder = "DeleteFolder";
        public const string RenameFolder = "RenameFolder";
        public const string SaveFolderAs = "SaveFolderAs";
        public const string ExportFolderAsLibrary = "ExportFolderAsLibrary";
        public const string ImportItemToFolder = "ImportItemToFolder";
        public const string PublishLibrary = "PublishLibrary";
        public const string ExportLibrary = "ExportLibrary";
        public const string RenameLibrary = "RenameLibrary";
        public const string DeleteLibrary = "DeleteLibrary";
        public const string NewLibrary = "NewLibrary";
        public const string ImportLibrary = "ImportLibrary";
        public const string ImportGuidanceItemToView = "ImportGuidanceItemToView";
        public const string ExportViewAsLibrary = "ExportViewAsLibrary";
        public const string PublishView = "PublishView";
        public const string RemoveView = "RemoveView";
        public const string DeleteSearchView = "DeleteSearchView";
        public const string SSESynchronize = "SSESynchronize";
        public const string PublishGuidanceItemInView = "PublishGuidanceItemInView";
    }
}
