//===============================================================================
// Microsoft patterns & practices
// Guidance Explorer Offline Client
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================



using System;
using System.Configuration;
using System.Collections.Generic;
using System.Text;

namespace GuidanceExplorer.Config
{
    public class GuidanceExplorerSection : ConfigurationSection
    {
        [ConfigurationProperty("title", IsRequired = false)]
        public string Title
        {
            get
            {
                return (string)this["title"];
            }
            set
            {
                this["title"] = value;
            }
        }

        [ConfigurationProperty("feedbackLink", IsRequired = false)]
        public string FeedbackLink
        {
            get
            {
                return (string)this["feedbackLink"];
            }
            set
            {
                this["feedbackLink"] = value;
            }
        }
    }
}

