//===============================================================================
// Microsoft patterns & practices
// Guidance Explorer Offline Client
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================



using System;
using System.Collections.Generic;
using System.Text;

namespace GuidanceExplorer.Controls
{
    public class ReplaceErrorEventArgs : EventArgs
    {
        private string _error;
        private string _replace;

        public ReplaceErrorEventArgs(string error, string replace)
        {
            _error = error;
            _replace = replace;
        }

        public string Error
        {
            get { return _error; }
        }

        public string Replace
        {
            get { return _replace; }
        }
    }
}

