//===============================================================================
// Microsoft patterns & practices
// Guidance Explorer Offline Client
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================



using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using Microsoft.Practices.CompositeUI;

using GuidanceExplorer.WorkItems;
using GuidanceExplorer.Services;
using System.IO;
using GuidanceExplorer.Model;

namespace GuidanceExplorer
{
    public class GEModuleInit : ModuleInit
    {
        private GuidanceExplorerWorkItem rootWorkItem;

        [ServiceDependency]
        public GuidanceExplorerWorkItem RootWorkItem
        {
            set { rootWorkItem = value; }
        }
    }
}

