//===============================================================================
// Microsoft patterns & practices
// Guidance Explorer Offline Client
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace GuidanceExplorer.Model
{
    public interface ILibraryNodes : IGuidanceItemContainer
    {
        /// <summary>
        /// The parent folder reference.
        /// </summary>
        Folder ParentFolder { get;set;}

        /// <summary>
        /// Returns the Library that owns the model instance
        /// </summary>
        /// <returns></returns>
        Library GetContainerLibrary();
    }
}
