<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ItemsList.aspx.cs" Inherits="ItemsList"  EnableEventValidation="false"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body>
    <form id="frmItemsList" runat="server">
    <div style="z-index:1">
        <asp:Panel ID="Panel1" runat="server" Height="195px" Width="100%" ScrollBars="Vertical" Wrap="False">
            <asp:GridView  ID="PnPGrid" runat="server" AllowPaging="true"
                AutoGenerateColumns="False" OnRowDataBound="PnPGrid_RowDataBound" Width="100%" Font-Bold="False" Font-Names="Microsoft Sans Serif" CellPadding="3">
                <RowStyle Font-Size="XX-Small" Wrap="False" Font-Names="Microsoft Sans Serif" />
                <Columns>
                    <asp:TemplateField HeaderText="Date" SortExpression="Date">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <asp:LinkButton CssClass="ItemHeader" ID="DateHeaderLink" runat="server">Date</asp:LinkButton>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Technology" SortExpression="Technology">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <table  cellspacing="0" cellpadding="0">
                                <tr>
                                    <td class="ItemHeader">
                                        <asp:LinkButton  ID="TechnologyHeaderLink" runat="server" >Technology</asp:LinkButton>
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <input type="image" src="./Images/filter.bmp" id="filterTechnology" class="Filter" runat="server" size="2px" />
                                    </td>
                                </tr>
                            </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Topic" SortExpression="Topic">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                             <table  cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td class="ItemHeader">
                                            <asp:LinkButton CssClass="ItemHeader" ID="TopicHeaderLink" runat="server" >Topic</asp:LinkButton>
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <input type="image" src="./Images/filter.bmp" id="filterTopic" class="Filter" runat="server" size="2px" />
                                        </td>
                                    </tr>
                             </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Type" SortExpression="Type">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                             <table  cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td class="ItemHeader">
                                            <asp:LinkButton CssClass="ItemHeader" ID="TypeHeaderLink" runat="server" >Type</asp:LinkButton>
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <input type="image" src="./Images/filter.bmp" id="filterType" class="Filter" runat="server" size="2px" />
                                        </td>
                                    </tr>
                             </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Category" SortExpression="Category">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <table  cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td class="ItemHeader">
                                            <asp:LinkButton CssClass="ItemHeader" ID="CategoryHeaderLink" runat="server" >Category</asp:LinkButton>
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <input type="image" src="./Images/filter.bmp" id="filterCategory" class="Filter" runat="server" size="2px" />
                                        </td>
                                    </tr>
                             </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Priority" SortExpression="Priority">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <table  cellspacing="0" cellpadding="0">
                                <tr>
                                    <td class="ItemHeader">
                                        <asp:LinkButton CssClass="ItemHeader" ID="PriorityHeaderLink" runat="server" >Priority</asp:LinkButton>
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <input type="image" src="./Images/filter.bmp" id="filterPriority" class="Filter" runat="server" size="2px" />
                                    </td>
                                </tr>
                            </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField SortExpression="Title" HeaderText="Title">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <asp:LinkButton CssClass="ItemHeader"  ID="TitleHeaderLink" runat="server" >Title</asp:LinkButton>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Rule_Type" SortExpression="RuleType" >
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <table cellspacing="0" cellpadding="0" width="80px">
                                <tr>
                                    <td class="ItemHeader" >
                                        <asp:LinkButton CssClass="ItemHeader" ID="Rule_TypeHeaderLink" runat="server"  >Rule Type</asp:LinkButton>
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <input type="image" src="./Images/filter.bmp" id="filterRule_Type" class="Filter" runat="server" size="2px" />
                                    </td>
                                 </tr>
                            </table>
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Source" SortExpression="Source">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                             <table  cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td class="ItemHeader">
                                            <asp:LinkButton CssClass="ItemHeader" ID="SourceHeaderLink" runat="server" >Source</asp:LinkButton>
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <input type="image" src="./Images/filter.bmp" id="filterSource" class="Filter" runat="server" size="2px" />
                                        </td>
                                    </tr>
                             </table>       
                        </HeaderTemplate>
                        <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                     <asp:TemplateField HeaderText="Status" SortExpression="Status">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <table  cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td class="ItemHeader">
                                            <asp:LinkButton CssClass="ItemHeader" ID="StatusHeaderLink" runat="server" >Status</asp:LinkButton>
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <input type="image" src="./Images/filter.bmp" id="filterStatus" class="Filter" runat="server" size="2px" />
                                        </td>
                                    </tr>
                             </table>
                        </HeaderTemplate>
                         <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                     <asp:TemplateField HeaderText="Author" SortExpression="Author">
                        <ItemTemplate>
                            <a id="link"></a>
                        </ItemTemplate>
                        <HeaderTemplate>
                            <asp:LinkButton CssClass="ItemHeader" ID="AuthorHeaderLink" runat="server" >Author</asp:LinkButton>
                        </HeaderTemplate>
                         <ItemStyle Wrap="False" />
                    </asp:TemplateField>
                    <asp:BoundField DataField="Path" HeaderText="Path" HtmlEncode="False" Visible="False" />
                </Columns>
                <HeaderStyle BackColor="Silver" Font-Names="Microsoft Sans Serif"
                    ForeColor="White" Font-Size="XX-Small" Wrap="False" Font-Bold="True" HorizontalAlign="Left" />
              <PagerSettings Position="Top" Visible="False" />
                <SelectedRowStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" Wrap="False" />
            </asp:GridView>
        </asp:Panel>
    </div>
    </form>
</body>
</html>
