﻿using System;

public interface IOnlineStorage : IOnlineStorageUpdate
{
    GuidanceItem GetGuidanceItemById(string guidanceItemid);
    string GetGuidanceItemContent(string guidanceItemId);
    Library GetLibraryById(string libraryId);
    LibraryIndex GetLibraryIndex(string libraryId);
    ListView GetListViewForNodeId(string nodeId, string criteria, ColumnDefinition[] columns, int from, int count);
    NavigationTree GetNavigationTree(int maxNesting);
    NavigationTree GetNavigationTreeChilds(string nodeId, int maxNesting);
    View GetViewById(string viewId);
    GuidanceType GetGuidanceTypeById(string guidanceTypeId);
    GuidanceType GetGuidanceTypeByCaption(string guidanceTypeId);
    GuidanceType GetGuidanceTypeByName(string guidanceTypeName);
    Schema GetSchemaById(string schemaId);
    string[] GetGuidanceItemKeywords(string itemId);
}
