using System;

public interface IOnlineStorageUpdate
{
    void AddGuidanceItemsToView(string viewId, GuidanceItem[] items);
    void CreateGuidanceItem(GuidanceItem item, string content);
    void CreateLibrary(Library library);
    void CreateView(View view);
    void UpdateGuidanceItem(GuidanceItem item, string content);
    void UpdateLibrary(Library library);
    void UpdateView(View view);
    void SetGuidanceItemKeywords(string itemId, string[] keywords);
}
